#define MAX_LHCBVERS 16
#define MAX_LHCBDBASE 64
#define MAX_SICBCARDS 128
#define MAX_QQ_DECAY 64
#define MAX_QQ_USER 64
#define MAX_MCRUNFILE 32
#define MAX_MCFILE 64
#define MAX_MCEXEC 32
#define MAX_STATE 64
#define MAX_DATE 64
#define MAX_FILENAME 96
#define MAX_PROGNAME 32
#define MAX_JOBID 96
#define MAX_DOMAIN 32
	
typedef enum {LXBATCH=2, LIVERPOOL, RALNT, RUTHERFORD, LYON, BOLOGNA, NIKHEF,
	      CERNPCSF, TESTBED0, BRISTOL, SCOTGRID, OXFORD, AMSTERDAM, 
	      BRISTOL_NT, DATAGRID, CAMBRIDGE, RIO_DE_JANEIRO, ITEP, IMPERIAL,
	      KARLSRUHE, BARCELONA, MSU,
MAX_MCCENTERS } MCCenters;

char *MCCenterNames[] = {
  "",
  "",
  "LXBATCH",
  "LIVERPOOL",
  "",
  "RUTHERFORD",
  "LYON",
  "BOLOGNA",
  "NIKHEF",
  "",
  "",
  "BRISTOL",
  "SCOTGRID",
  "OXFORD",
  "AMSTERDAM",
  "BRISTOL_NT",
  "DATAGRID",
  "CAMBRIDGE",
  "RIO_DE_JANEIRO",
  "ITEP",
  "IMPERIAL",
  "KARLSRUHE", 
  "BARCELONA", 
  "MSU"
  
};

typedef struct
{
  char LHCBVERS[MAX_LHCBVERS];
  char LHCBDBASE[MAX_LHCBDBASE];
  char SICBCARDS[MAX_FILENAME];
  char QQ_DECAY_FILE[MAX_QQ_DECAY];
  char QQ_USER_FILE[MAX_QQ_USER];
  char mcrunfile[MAX_PROGNAME];
  int mcstat;
  int mcseed[2];
  int mcgene;
  int mccentre;
  int mcevtype;
  int mcpdf[2];
  int mcmimodel;
  int mcevbeg;
  int mcrun;
  char mcfile[MAX_FILENAME];
  long mcsize;
  char mcexec[MAX_PROGNAME];
  char state[MAX_STATE];
  int alarm;
  char submit_date_time[MAX_DATE];
  char mcjobdir[MAX_FILENAME];
  char mcjobid[MAX_JOBID];
  char DOMAIN[MAX_DOMAIN];
} mccontrol_params;

#define paramFormat(s)     sprintf(s,"C:%d;C:%d;C:%d;C:%d;C:%d;C:%d;\
I:1;I:2;I:1;I:1;I:1;I:2;I:1;I:1;I:1;C:%d;L:1;C:%d;C:%d;I:1;C:%d;C:%d;\
C:%d;C:%d",\
MAX_LHCBVERS,MAX_LHCBDBASE,MAX_FILENAME,MAX_QQ_DECAY,MAX_QQ_USER,\
MAX_PROGNAME,MAX_FILENAME,MAX_PROGNAME,MAX_STATE,MAX_DATE,MAX_FILENAME,\
MAX_JOBID,MAX_DOMAIN)

typedef struct
{
  char job_id[128];
  mccontrol_params job_params;
}JobService;

#define jobFormat(s) strcpy(s,"C:128;");paramFormat(s+6)








